Page MenuHomePhabricator

Enable machine translation option for Italian in Content translation
Closed, ResolvedPublic

Description

Currently machine translation is not enabled for Italian as a target language. Based on the user requests (T86700) and the feedback received in a recent community conversation, we want to enable machine support for Italian.

Machine translation will be enabled and provided by default (users can still select copying the source content or starting from scratch). After it is enabled, we'll monitor the translations created, the published and deleted translations stats, the tracking category of articles published with unmodified contents. With this information and the user input we'll evaluate whether the translation limits that prevent publishing unmodified machine translation need specific adjustments.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterEnable machine translation for Italian

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2019, 10:40 AM
Pginer-WMF triaged this task as Medium priority.Jun 25 2019, 10:40 AM
Pginer-WMF added a subscriber: KartikMistry.

Change 519052 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver@master] Enable machine translation for Italian

https://gerrit.wikimedia.org/r/519052

Change 519052 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Enable machine translation for Italian

https://gerrit.wikimedia.org/r/519052

Mentioned in SAL (#wikimedia-operations) [2019-06-26T09:00:53Z] <kart_> Updated cxserver to 9bad239 (T226482)

Tested with couple of articles. Seems working fine.

Pginer-WMF closed this task as Resolved.Jun 28 2019, 8:28 AM